unit WFWorldView;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, StdCtrls, OleCtrls, UOMAPLib_TLB, ExtCtrls;

type
  TWFWorldViewForm = class(TForm)
    GroupBox2: TGroupBox;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    lblCoord: TLabel;
    Bevel2: TBevel;
    cbViewStatics: TCheckBox;
    UOMap1: TUOMap;
    procedure FormCreate(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure UOMap1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure cbViewStaticsClick(Sender: TObject);
  private
    { Private declarations }
     FZoomFactor : Integer;
  public
    { Public declarations }
  end;

var
  WFWorldViewForm: TWFWorldViewForm;

implementation

uses WFMapEdit;

{$R *.dfm}

procedure TWFWorldViewForm.FormCreate(Sender: TObject);
begin
  FZoomFactor := -4;
 // UOMap1.MapFile:=1;
end;

procedure TWFWorldViewForm.SpeedButton3Click(Sender: TObject);
begin
  if FZoomFactor < 5 then
    inc(FZoomFactor);
  UOMap1.ZoomIn;
end;

procedure TWFWorldViewForm.SpeedButton2Click(Sender: TObject);
begin
  if FZoomFactor > -4 then
    dec(FZoomFactor);
  UOMap1.ZoomOut;
end;

procedure TWFWorldViewForm.UOMap1MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var
  nY, nX, nZ : smallInt;
begin
  nY := Y;
  nX := X;
  nZ := 0;
  if (Button = mbLeft) and (UOMap1.ZoomLevel > -4) then
  begin
    UOMap1.CtrlToMap(nX,nY);
    nZ := UOMap1.GetMapHeight(nX, nY);
    UOMap1.SetCenter(nX, nY);
  end;
  lblCoord.Caption := IntToStr(nX)+','+IntToStr(nY)+','+IntToStr(nZ);
  WFMapEditForm.XJumpEdit.Text := IntToStr(nX);
  WFMapEditForm.YJumpEdit.Text := IntToStr(nY);
  WFMapEditForm.CoordGoBtn.Click;
end;

procedure TWFWorldViewForm.cbViewStaticsClick(Sender: TObject);
begin
  UOMap1.DrawStatics := cbViewStatics.Checked;
end;

end.
