// Copyright (c) 1998, 1999, 2000 Jan Luebbe. All rights reserved.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Jan Luebbe can be emailed at jluebbe@lasnet.de

program CRCGen;

uses
  Forms, Main, WFDiff, Tools;

{$R *.RES}

procedure _SetProgressBar(Position: integer);
begin

end;

var
  StaIdxFileName: string;
  StaticIndex: Array[0..767, 0..511] of TStaticPointer; //TStaticIndex;
  Value: integer;

begin
  if ParamCount <> 1 then
  begin
    writeln('Usage: CRCGen StaIdx0.mul');
    readln;
    exit;
  end;
  StaIdxFileName := ParamStr(1);
  writeln('Generating CRC for "'+StaIdxFileName+'":');
  write('Loading... ');
  GetStaticIndex(CRCGen.StaIdxFileName, CRCGen.StaticIndex, CRCGen._SetProgressBar);
  writeln('done.');
  write('Calcuating... ');
  CRCGen.Value := CRCStaticIndex(CRCGen.StaticIndex, CRCGen._SetProgressBar);
  writeln('done.');
  writeln('The CRC is '+IntToSpacedHex(CRCGen.Value, 4)+'.');
  readln;
end.
